/*******************************<+>***************************
 **                             PRC
 *************************************************************
 **
 **  $Id: Text.c,v 1.3 1994/02/18 19:56:23 dta Exp $
 **
 **  $Source: /cvs/lib/xn/Text.c,v $
 **
 **  Module Name:
 **
 **  Classification:  Unclassified
 **
 **  Author:          Dale T. Anderson
 **
 *******************************<+>***************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <Xm/Xm.h>
#include <Xm/Text.h>
#include <Xm/Frame.h>
#include <Xm/Label.h>
#include <Xm/RowColumn.h>

#include "Xn.h"

Widget          XnCreateLabelText (parent, str, text, cb, data)
Widget          parent;
char           *str;
Widget         *text;
XtCallbackProc  cb;
XtPointer       data;
{
    Widget          frame;
    Widget          rowcol;
    Widget          label;

    frame = XtVaCreateManagedWidget ("frame",
				     xmFrameWidgetClass, parent,
				     NULL);

    rowcol = XtVaCreateWidget ("box",
			       xmRowColumnWidgetClass, frame,
			       XmNorientation, XmHORIZONTAL,
			       NULL);

    label = XtVaCreateManagedWidget (str,
				     xmLabelWidgetClass, rowcol,
				     NULL);

    *text = XtVaCreateManagedWidget ("text",
				     xmTextWidgetClass, rowcol,
				     NULL);

    if (cb) {
	XnAddCallback (*text, XmNlosingFocusCallback, cb, data);
	XnAddCallback (*text, XmNactivateCallback, cb, data);
    }

    XtManageChild (rowcol);
    return (frame);
}


Widget          XnCreateStrText (parent, len)
Widget          parent;
int             len;
{
    Widget          text;

    text = XtVaCreateManagedWidget ("text",
				    xmTextWidgetClass, parent,
				    NULL);
    return (text);
}

Widget          XnCreateFloatText (parent, digits)
Widget          parent;
int             digits;
{
    Widget          text;

    text = XtVaCreateManagedWidget ("text",
				    xmTextWidgetClass, parent,
				    NULL);
    return (text);
}

Widget          XnCreateIntText (parent, digits)
Widget          parent;
int             digits;
{
    Widget          text;

    text = XtVaCreateManagedWidget ("text",
				    xmTextWidgetClass, parent,
				    NULL);
    return (text);
}
