/*******************************<+>***************************
 **                             PRC
 *************************************************************
 **
 **  $Id: Graph.h,v 1.1.1.1 1993/05/17 17:33:25 dta Exp $
 **
 **  $Source: /cvs/lib/xn/Widgets/Graph.h,v $
 **
 **  Module Name:
 **
 **  Classification:  Unclassified
 **
 **  Author:          Dale T. Anderson
 **
 *******************************<+>***************************/

#ifndef _Graph_h
#define _Graph_h

#include <Xm/Xm.h>
#include <X11/Core.h>


/* Resources:
 * Name			Class		RepType		Default Value
 * ----			-----		-------		-------------
 * fontList		FontList	FontList	dynamic
 * labelAlignment	LabelAlignment	LabelAlignment	AlignmentCenter
 * labelOffset		LabelOffset	int		0
 * labelPixmap		LabelPixmap	PrimForegroundPixmap
 *							XmUNSPECIFIED_PIXMAP
 * labelPosition	LabelPosition	LabelPosition	PositionLeft
 * labelString		XmString	XmString	widget name
 * labelTextAlignment	Alignment	Alignment	XmALIGNMENT_CENTER
 * labelType		LabelType	LabelType	XmSTRING
 */

/*
 * New resource constants
 */

#define XnNheaderString "headerString"
#define XnCHeaderString "HeaderString"

#define XnNfooterString "footerString"
#define XnCFooterString "FooterString"

#define XnNgridLines "gridLines"
#define XnCGridLines "GridLines"

#define XnNverticalLabels "verticalLabels"
#define XnCVerticalLabels "VerticalLabels"

#define XnNhorizontalLabels "horizontalLabels"
#define XnCHorizontalLabels "HorizontalLabels"

#define XnNgraphPoints "graphPoints"
#define XnCGraphPoints "GraphPoints"

#define XnNtotalPoints "totalPoints"
#define XnCTotalPoints "TotalPoints"

#define XnNminimumY "minimumY"
#define XnCMinimumY "MinimumY"

#define XnNmaximumY "maximumY"
#define XnCMaximumY "MaximumY"

/* Class record constants */

extern WidgetClass xnGraphWidgetClass;

typedef struct _XnGraphClassRec *XnGraphWidgetClass;
typedef struct _XnGraphRec *XnGraphWidget;

typedef enum {
    XnGraphPlot,
    XnGraphHistogram,
    XnGraphScatter
} XnGraphType;

#endif
