/*******************************<+>***************************
 **                             PRC
 *************************************************************
 **
 **  $Id: Frame.c,v 1.4 1994/02/16 02:55:08 dta Exp $
 **
 **  $Source: /cvs/lib/xn/Frame.c,v $
 **
 **  Module Name:
 **
 **  Classification:  Unclassified
 **
 **  Author:          Dale T. Anderson
 **
 *******************************<+>***************************/

#include <Xm/Xm.h>
#include <Xm/Frame.h>
#include <Xm/BulletinB.h>
#include <Xm/RowColumn.h>

#include <Xn/Xn.h>
#include <Xn/Caption.h>

Widget          XnCreateFrame (Widget parent, const char *title)
{
    Widget          caption;
    Widget          frame;
    char buffer [256];

    sprintf (buffer, "   %s   ", title);

    caption = XtVaCreateManagedWidget (buffer,
				       xnCaptionWidgetClass, parent,
				       XmNlabelPosition, XnPositionTop,
				       XmNlabelAlignment, XnAlignmentCenter,
				       XmNlabelOffset, -7,
				       NULL);

    frame = XtVaCreateManagedWidget ("frame",
				     xmFrameWidgetClass, caption,
				     XmNmarginHeight, 10,
				     XmNmarginWidth, 10,
				     NULL);

    return (frame);
}
